Subject: Re: FVWM: Can't add more than 5 panels

From: Glen Lee Edwards <[email-masked]>
Date: Thu, 18 Jan 2001 17:04:48 -0600 (CST)

>The make sure there is no ModulePath
>statement anywhere in your config file

Bingo.  That solved the disappearing FvwmButtons problem.  Now I get to bring my
.fvwm2rc file up to date with 2.3.27.

Thanks!

Glen

Today, at 11:39, Dominik Vogt sent through the Star Gate:

>On Wed, Jan 17, 2001 at 06:13:04PM -0600, Glen Lee Edwards wrote:
>> OK.  I just installed 2.3.27.  The install went without a hitch, about the first
>> time I've had that happen with Make!  You're right about the panel.  I lost the
>> icons, even with ImagePath instead of IconPath.
>>
>> I'll have to work on it later this evening.  I have to pick Jan (my wife) up
>> from work, and install a blower motor in my van so it has some heat!
>>
>> Here's the latest core dump.  I rpm -e fvwm.  So I assume all the old files were
>> removed, and that everything in it now is 2.3.27 based. It's still almost word
>> for word the same.
>>
>> $ gdb FvwmButtons core
>> GNU gdb 5.0
>> Copyright 2000 Free Software Foundation, Inc.
>> GDB is free software, covered by the GNU General Public License, and you are
>> welcome to change it and/or distribute copies of it under certain conditions.
>> Type "show copying" to see the conditions.
>> There is absolutely no warranty for GDB.  Type "show warranty" for details.
>> This GDB was configured as "i386-redhat-linux"...FvwmButtons: No such file or
>> directory.
>>
>> Core was generated by `/usr/X11R6/lib/X11/fvwm2/FvwmButtons 7 4 none 0 8'.
>                         ^^^^^^^^^^^^^^^^^^^^^^^^
>
>Either the new FvwmButtons did not generate a core dump or you are
>still not running the right FvwmButtons or fvwm2.  Please check
>that the fvwm2 you built is in front of the 2.2.4 executable in the
>PATH.  If you installed to /usr/local.  You can check this with
>
>  $ which fvwm2
>
>The output must point to /usr/local/bin.  If not you have to adapt
>the shell PATH variable.  The make sure there is no ModulePath
>statement anywhere in your config file.  Otherwise the new fvwm
>executable will try to run the old modules.  Finally, remove the
>core file before each new test or make sure it was really
>generated in a particular test run by checking its date:
>
>  $ ls -l core
>
>Bye
>
>Dominik ^_^  ^_^
>
>--
>Dominik Vogt, email: [email-masked]
>LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
>fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
>

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Thu, 18 Jan 2001 18:11:19 -0500

> .fvwm2rc file up to date with 2.3.27.

If you are starting from 2.2.x, there is a conversion utility included
in the package.  (It would have removed the ModulePath statement for you.)

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Glen Lee Edwards <[email-masked]>
Date: Thu, 18 Jan 2001 17:36:43 -0600 (CST)

Dan,

>in the package.  (It would have removed the ModulePath statement for you.)

It didn't.  Is it supposed to be automatic?  Before I installed 2.3.27 I
uninstalled the fvwm2 rpm, then manually removed any fvwm directories that were
left over.  The only file I didn't remove was the .fvwm2rc file, which I renamed
to .fvwm2rc.KEEP.THIS.FILE, to make sure it wasn't deleted when I removed the
2.2.4 rpm.

Is there a way to initiate it from the command prompt or otherwise?

Glen

---

From: Dan Espen <[email-masked]>
Date: Thu, 18 Jan 2001 18:54:35 -0500

> Is there a way to initiate it from the command prompt or otherwise?

Its not automatic.
After you've installed 2.3.x, you can pull up the documentation
by doing:

man fvwm24_convert

Basically you should do:

mkdir $HOME/.fvwm
fvwm24_convert

It reads $HOME/.fvwm2rc and writes $HOME/.fvwm/.fvwm2rc.

This utility assumes you were previously using 2.2.x and changes
the 2.2.x commands to 2.4.x syntax.

If you aren't starting from 2.2.x, I don't know how useful it will
be to you.  You could just read thru the man page, the man page
describes the changes it will make.

---

From: Glen Lee Edwards <[email-masked]>
Date: Fri, 19 Jan 2001 01:41:31 -0600 (CST)

Just started using 2.3.27 today, and admittedly am fairly new to FVWM, but this
new setup with these new features are an absolute dream!  I was able to get
multiple panels to work without a hitch, customized to programs and commands I
frequently use, one of which is set up for different root window backgrounds I
like to use, so I can quickly change them with a click of the mouse.

I love the Alt-Tab feature that allows me to tab through the Window List.

The Restart feature seems to be working much better also.  I had trouble with it
under 2.2.4, but in 2.3.27 it restarts FVWM with any new modifications I've made
to ~/.fvwm/.fvwm2rc included, plus it remembers all the apps I had running and
keeps them alive.  I was surprised and very pleased when the kill ring in Xemacs
still had the data after doing a Restart fvwm2, so I could paste the copied text
into Panel modifications I was making after trying out a new configuration.

One thing's for certain: FVWM is definitely a programmers/working man's window
manager.  I can make it fit into what I need it to do, instead of having to
force myself to fit into what other window manager's allow me to do.

Thanks!  And keep up the good work!

Glen